#ifndef KRIMI_DINNER_ENGINE_TEXTURE_H
#define KRIMI_DINNER_ENGINE_TEXTURE_H

#include <GLES3/gl3.h>

class Renderer;

class Texture
{
public:
    Texture() : m_texture(0) {}
    Texture(unsigned int width, unsigned int height, const void* data);
    Texture(const Texture&) = default;
    Texture(Texture&&) = default;
    Texture& operator=(const Texture&) = default;

    void destroy();

    void bind() const;

private:
    GLuint m_texture;
};

#endif
